सामग्री पर जाएँ

Image2svg

इंटीग्रेट करें

मॉडल id image2svg
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image2svg?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.005 5 API क्रेडिट · ≈ ₽0.53 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Utility इमेज एडिटिंग #utility#editing

रास्टर इमेज को रंगीन या बाइनरी मोड और स्प्लाइन या पॉलीगॉन पाथ वाले SVG में वेक्टराइज़ करता है

Utility · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

SVG रूपांतरण के लिए स्रोत इमेज।

उन्नत colormode · hierarchical · mode · filter_speckle · color_precision · layer_difference · corner_threshold · length_threshold · max_iterations · splice_threshold · path_precision
colormode डिफ़ॉल्ट color

आउटपुट मोड चयन: रंगीन आउटपुट के लिए color या ब्लैक-एंड-व्हाइट आउटपुट के लिए binary।

hierarchical डिफ़ॉल्ट stacked

हाइरार्किकल मोड का चयन: stacked या cutout।

mode डिफ़ॉल्ट spline

पाथ मोड: कर्व के लिए spline या सीधी लाइनों के लिए polygon।

डिफ़ॉल्ट 4

नॉइज़ और छोटे धब्बों का फ़िल्टरिंग।

डिफ़ॉल्ट 6

कलर क्वांटाइज़ेशन के लिए इस्तेमाल किया जाने वाला स्तर।

डिफ़ॉल्ट 16

हाइरार्किकल मोड में लेयर्स के बीच अंतर की थ्रेशोल्ड।

डिफ़ॉल्ट 60

कोनों का पता लगाने के लिए कोणीय थ्रेशोल्ड, डिग्री में।

डिफ़ॉल्ट 4

कर्व या लाइन की लंबाई पर लागू की जाने वाली थ्रेशोल्ड।

डिफ़ॉल्ट 10

ऑप्टिमाइज़ेशन इटरेशंस की ऊपरी सीमा।

डिफ़ॉल्ट 45

पाथ को एक साथ जोड़ते समय इस्तेमाल की जाने वाली थ्रेशोल्ड।

डिफ़ॉल्ट 3

दशमलव स्थानों में पाथ कोऑर्डिनेट्स की सटीकता।

POST /run/image2svg?wait=20 कोटेशन → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image2svg?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Image2svg के बारे में

रास्टर इमेज को SVG फ़ाइल में बदलता है। `colormode` रंगीन और बाइनरी आउटपुट के बीच स्विच करता है, `mode` स्प्लाइन कर्व या पॉलीगॉन चुनता है, और `hierarchical` स्टैक्ड या कटआउट लेयरिंग चुनता है। विवरण को `filter_speckle` (0 से 20), `color_precision` (1 से 10) और `path_precision` (1 से 10) जैसी सेटिंग से नियंत्रित किया जाता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
SVG रूपांतरण के लिए स्रोत इमेज।
colormodeवैकल्पिक
प्रकारenum
डिफ़ॉल्टcolor
colorbinary
आउटपुट मोड चयन: रंगीन आउटपुट के लिए color या ब्लैक-एंड-व्हाइट आउटपुट के लिए binary।
hierarchicalवैकल्पिक
प्रकारenum
डिफ़ॉल्टstacked
stackedcutout
हाइरार्किकल मोड का चयन: stacked या cutout।
modeवैकल्पिक
प्रकारenum
डिफ़ॉल्टspline
splinepolygon
पाथ मोड: कर्व के लिए spline या सीधी लाइनों के लिए polygon।
filter_speckleवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट4
0 – 20
नॉइज़ और छोटे धब्बों का फ़िल्टरिंग।
color_precisionवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट6
1 – 10
कलर क्वांटाइज़ेशन के लिए इस्तेमाल किया जाने वाला स्तर।
layer_differenceवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट16
1 – 32
हाइरार्किकल मोड में लेयर्स के बीच अंतर की थ्रेशोल्ड।
corner_thresholdवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट60
0 – 180
कोनों का पता लगाने के लिए कोणीय थ्रेशोल्ड, डिग्री में।
length_thresholdवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट4
0 – 10
कर्व या लाइन की लंबाई पर लागू की जाने वाली थ्रेशोल्ड।
max_iterationsवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट10
1 – 20
ऑप्टिमाइज़ेशन इटरेशंस की ऊपरी सीमा।
splice_thresholdवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट45
0 – 90
पाथ को एक साथ जोड़ते समय इस्तेमाल की जाने वाली थ्रेशोल्ड।
path_precisionवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट3
1 – 10
दशमलव स्थानों में पाथ कोऑर्डिनेट्स की सटीकता।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image2svg",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size}रूपांतरण से बनी SVG फ़ाइल।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/image2svg.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt